com.mysql.cj.telemetry

## Class NoopTelemetryScope

- java.lang.Object
- - com.mysql.cj.telemetry.NoopTelemetryScope

All Implemented Interfaces:
  TelemetryScope, AutoCloseable

    public class NoopTelemetryScope
    extends Object
    implements TelemetryScope

No-op implementation of `TelemetryScope`.

### Field Summary

Fields
`private static NoopTelemetryScope` `INSTANCE`

### Constructor Summary

Constructors
`private` `NoopTelemetryScope()`

### Method Summary

All Methods Static Methods Concrete Methods
`static NoopTelemetryScope` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mysql.cj.telemetry.TelemetryScope

`close`

### Field Detail

#### INSTANCE

    private static NoopTelemetryScope INSTANCE

### Constructor Detail

#### NoopTelemetryScope

    private NoopTelemetryScope()

### Method Detail

#### getInstance

    public static NoopTelemetryScope getInstance()

Copyright © 2016, 2026, Oracle and/or its affiliates.